﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CustomColorPickerTool.aspx.cs"
    Inherits="CustomColorPickerTool" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <style type="text/css">
            .RadColorPicker ul li
            {
            	background:none;
            }
            
            .ForeColorPicker,
            .BackColorPicker
            {
            	height:22px;
            	border-bottom:2px solid transparent;
            }
            
            .ForeColorPicker, 
            .ForeColorPicker .rcpIcon,
            .ForeColorPicker .rcpIcon a,
            .ForeColorPicker .rcpIcon em,
            .BackColorPicker,
            .BackColorPicker .rcpIcon,
            .BackColorPicker .rcpIcon a,
            .BackColorPicker .rcpIcon em
            {
                width: 34px !important;
                background-color:Transparent !important;
            }
            
            .ForeColorPicker .rcpIcon,
            .ForeColorPicker .rcpIcon a,
            .ForeColorPicker .rcpIcon em,
            .BackColorPicker .rcpIcon,
            .BackColorPicker .rcpIcon a,
            .BackColorPicker .rcpIcon em
            {
            	height:22px !important;            	
            }
            
            .ForeColorPicker .rcpIcon a
            {
            	background:url('images/ColorPickerForeColor.gif') no-repeat 0 0 !important;
            }
            
            .BackColorPicker .rcpIcon a
            {
            	background:url('images/ColorPickerBackColor.gif') no-repeat 0 0 !important;
            }
        </style>
    </telerik:RadCodeBlock>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>

    <script type="text/javascript">
        function OnClientLoad(editor)
        {        
            // Get a reference to the RadColorPicker that will replace the ForeColor editor tool.
            var forePicker = $find(editor.get_id() + "_ForeColor");
            // Get a reference to the outermost element of the ForeColor editor tool.                        
            var foreColorElement = editor.getToolByName("ForeColor").get_element();
            // Replace the ForeColor editor tool with the RadColorPicker.
            foreColorElement.parentNode.replaceChild(forePicker.get_element(),foreColorElement);

            //Attach hadler to the colorChange event of the RadColorPicker in order to make it work with the RadEditor.
            forePicker.add_colorChange(function(sender,args)
            {
                var color = sender.get_selectedColor();
                sender.get_element().style.borderColor = color ? color : "transparent";
                editor.fire("ForeColor",{ value: color });
            });


            // Get a reference to the RadColorPicker that will replace the ForeColor editor tool.
            var backPicker = $find(editor.get_id() + "_BackColor");
            // Get a reference to the outermost element of the ForeColor editor tool.                        
            var backColorElement = editor.getToolByName("BackColor").get_element();
            // Replace the ForeColor editor tool with the RadColorPicker.
            backColorElement.parentNode.replaceChild(backPicker.get_element(),backColorElement);

            //Attach hadler to the colorChange event of the RadColorPicker in order to make it work with the RadEditor.
            backPicker.add_colorChange(function(sender,args)
            {
                var color = sender.get_selectedColor();
                sender.get_element().style.borderColor = color ? color : "transparent";
                editor.fire("BackColor",{ value: color });
            });
        }
    </script>

    <telerik:RadEditor ID="PageEditor" runat="server" OnClientLoad="OnClientLoad">
    </telerik:RadEditor>
    </form>
</body>
</html>
