﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class CustomColorPickerTool : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Add a RadColorPicker that will replace the ForeColor editor tool.     
        RadColorPicker foreColorPicker = new RadColorPicker();
        foreColorPicker.ID = "ForeColor";
        foreColorPicker.ShowIcon = true;
        foreColorPicker.PaletteModes = PaletteModes.All;
        foreColorPicker.CssClass = "ForeColorPicker";
        foreColorPicker.Skin = "Vista";
        PageEditor.Controls.Add(foreColorPicker);

        //Add a RadColorPicker that will replace the BackColor editor tool.     
        RadColorPicker backColorpicker = new RadColorPicker();
        backColorpicker.ID = "BackColor";
        backColorpicker.ShowIcon = true;
        backColorpicker.PaletteModes = PaletteModes.All;
        backColorpicker.CssClass = "BackColorPicker";
        backColorpicker.Skin = "Vista";
        PageEditor.Controls.Add(backColorpicker);   
    }
}
